Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576509 - Collect vNIC profiles from RHV 4.x as part of EMS Refresh
Summary: Collect vNIC profiles from RHV 4.x as part of EMS Refresh
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.12.0
Assignee: Boriso
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On:
Blocks: 1767787
TreeView+ depends on / blocked
 
Reported: 2018-05-09 16:00 UTC by Peter McGowan
Modified: 2020-03-25 18:03 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1767787 (view as bug list)
Environment:
Last Closed: 2020-03-25 18:03:33 UTC
Category: Bug
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ manageiq-content pull 582 0 'None' closed Add handling vnic events for rhev 2020-07-13 20:27:04 UTC
Github ManageIQ manageiq-providers-ovirt pull 401 0 'None' closed Remodel networking for RHV 2020-07-13 20:27:04 UTC
Github ManageIQ manageiq pull 19262 0 'None' closed Add distributed_virtual_lans for infra_manager 2020-07-13 20:27:03 UTC
Github ManageIQ manageiq pull 19306 0 'None' closed Add distributed_virtual_lans to persister 2020-07-13 20:27:03 UTC

Description Peter McGowan 2018-05-09 16:00:27 UTC
Description of problem:
RHV 4.x vNIC profiles are not collected as part of an EMS refresh of a RHV provider, and so if a vnic_profile id is needed for an automate-initiated provision request or dynamic dialog, a separate call must be made to the RHV-M to retrieve the profile details.

The profile details should be saved in the VMDB as part of an EMS refresh.

Version-Release number of selected component (if applicable):
5.9

How reproducible:
Every time

Comment 6 CFME Bot 2019-09-05 13:10:59 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/97b14d4770d6a0a4ce7e333a5c289eea45e8c551
commit 97b14d4770d6a0a4ce7e333a5c289eea45e8c551
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Thu Sep  5 08:28:18 2019 -0400
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Thu Sep  5 08:28:18 2019 -0400

    Add distributed_virtual_lans for infra_manager

    Adding an association for another another fix.
    required for: https://github.com/ManageIQ/manageiq-providers-ovirt/pull/401

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1576509

 app/models/manageiq/providers/infra_manager.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 8 CFME Bot 2019-09-18 13:01:34 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/master:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/528158ec6a267114bac42325c9ae963df75155f4
commit 528158ec6a267114bac42325c9ae963df75155f4
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Wed Aug 14 05:45:46 2019 -0400
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Wed Aug 14 05:45:46 2019 -0400

    Remodel networking for RHV

    Change the modeling so that now
    Netwrok -> DistributedVirtualSwitch
    vnic_profile -> Lan
    NetwrokAttachment -> HostSwitch
    Vm vnic_profile assignment -> GuestDevice

    This is done so that we can get the vnic_profiles during provisioning
    without making a query to the provider.

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1576509

 app/models/manageiq/providers/redhat/infra_manager.rb | 1 +
 app/models/manageiq/providers/redhat/infra_manager/distributed_virtual_switch.rb | 2 +
 app/models/manageiq/providers/redhat/infra_manager/inventory/strategies/v4.rb | 3 +-
 app/models/manageiq/providers/redhat/infra_manager/ovirt_services/builder.rb | 2 +-
 app/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4.rb | 33 +-
 app/models/manageiq/providers/redhat/inventory/collector.rb | 8 +-
 app/models/manageiq/providers/redhat/inventory/collector/infra_manager.rb | 2 +-
 app/models/manageiq/providers/redhat/inventory/collector/target_collection.rb | 17 +
 app/models/manageiq/providers/redhat/inventory/parser/infra_manager.rb | 82 +-
 app/models/manageiq/providers/redhat/inventory/persister/infra_manager.rb | 6 +-
 spec/factories/switch.rb | 7 +
 spec/models/manageiq/providers/redhat/infra_manager/event_parser_spec.rb | 150 -
 spec/models/manageiq/providers/redhat/infra_manager/provision/configuration/network_spec.rb | 102 +-
 spec/models/manageiq/providers/redhat/infra_manager/provision/state_machine_spec.rb | 27 -
 spec/models/manageiq/providers/redhat/infra_manager/provision_spec.rb | 36 +-
 spec/models/manageiq/providers/redhat/infra_manager/provision_via_iso/state_machine_spec.rb | 13 -
 spec/models/manageiq/providers/redhat/infra_manager/provision_workflow_spec.rb | 45 +-
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresh_recording_modifier_spec.rb | 2 +
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_4_async_graph_spec.rb | 367 +-
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_4_async_spec.rb | 789 -
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_4_custom_attributes_spec.rb | 10 +-
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_graph_target_host_spec.rb | 9 +-
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_graph_target_template_spec.rb | 4 +-
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_graph_target_vm_spec.rb | 17 +-
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_huge_async_spec.rb | 3 +
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_lans_spec.rb | 26 +
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_network_spec.rb | 804 +
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_target_host_4_spec.rb | 10 +-
 spec/models/manageiq/providers/redhat/infra_manager/vm_spec.rb | 41 -
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_lans_refresh_recording.yml | 10524 +
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_refresh_graph_target_host.yml | 7016 +-
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_refresh_graph_target_template.yml | 5130 +-
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_refresh_graph_target_template_with_host.yml | 5121 +-
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_refresh_graph_target_vm_after_full.yml | 5584 +
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_refresh_graph_target_vm_deleted_snapshot.yml | 5690 +-
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_refresh_graph_target_vm_removal.yml | 5183 +-
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_refresh_graph_target_vm_with_host.yml | 5036 +-
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_refresh_recording.yml | 9130 +-
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_refresh_recording_custom_attrs.yml | 19218 +-
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/refresher_network_recording.yml | 7318 +
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/refresher_target_host.yml | 122 +-
 41 files changed, 64580 insertions(+), 23110 deletions(-)

Comment 10 Satoe Imaishi 2019-11-01 12:39:40 UTC
Also need: https://github.com/ManageIQ/manageiq/pull/19221

Comment 11 Satoe Imaishi 2020-01-08 13:41:37 UTC
Also need: https://github.com/ManageIQ/manageiq-providers-ovirt/pull/450


Note You need to log in before you can comment on or make changes to this bug.